## BraseroBurnDialog

BraseroBurnDialog

## Functions

GtkWidget * | brasero_burn_dialog_new ()
gboolean | brasero_burn_dialog_run ()
gboolean | brasero_burn_dialog_cancel ()

## Types and Values

| BraseroBurnDialog

## Description

## Functions

### brasero_burn_dialog_new ()

    GtkWidget *
    brasero_burn_dialog_new (void);

Creates a new BraseroBurnDialog object

#### Returns

a GtkWidget. Unref when it is not needed anymore.

### brasero_burn_dialog_run ()

    gboolean
    brasero_burn_dialog_run (BraseroBurnDialog *dialog,
                             BraseroBurnSession *session);

Start burning the contents of `session` .

#### Parameters

dialog | a BraseroBurnDialog |
session | a BraseroBurnSession |

#### Returns

a gboolean. TRUE if the operation was successfully carried out, FALSE otherwise.

### brasero_burn_dialog_cancel ()

    gboolean
    brasero_burn_dialog_cancel (BraseroBurnDialog *dialog,
                                gboolean force_cancellation);

Cancel the ongoing operation run by `dialog` ; if `force_cancellation` is FALSE then it can happen that the operation won't be cancelled if there is a risk to make a disc unusable.

#### Parameters

dialog | a BraseroBurnDialog |
force_cancellation | a gboolean |

#### Returns

a gboolean. TRUE if it was sucessfully cancelled, FALSE otherwise.

## Types and Values

### BraseroBurnDialog

    typedef struct {
    	GtkDialog parent;
    } BraseroBurnDialog;